<?php

namespace FiloBlu\ExtTargetRule\Helper;

use Magento\Framework\App\Helper\AbstractHelper;

class Data extends AbstractHelper
{
    CONST EXT_AJAX_ENABLED = 'ext_target_rule/general/enabled';

    public function getConfigValue($path) {
        return $this->scopeConfig->getValue($path, \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
    }

    public function isAjaxEnabled() {
        return $this->getConfigValue(self::EXT_AJAX_ENABLED);
    }
}